Index: MLXMANIFEST
===================================================================
--- MLXMANIFEST	(revision 775)
+++ MLXMANIFEST	(revision 795)
@@ -4,9 +4,9 @@
 library/xml/dom/xmlbuilder.pyc	15414	42285fdd810a2aa92c06775b5d415c33
 library/fnmatch.pyc	3414	4d50000f78e903598af06ef1c5cfb3ef
-library/gtk/_gtk.pyc	549	856abc7b7c2767552c70b214bce29842
+library/gtk/_gtk.pyc	549	4e4a2c72f6acf5e1f1f0f7c4857ce251
 library/encodings/cp858.pyc	7591	02054a0b8e91b9758826eb70cddf096f
 library/encodings/cp1254.pyc	2678	17ff2ac86f90886d5c73ed789f0499f3
 library/encodings/unicode_internal.pyc	2022	1e902113491e0c334b44deb0c8940e01
-library/lxml/etree.pyc	555	74b6363fd335a7abc4285150ff1e6fc5
+library/lxml/etree.pyc	555	dd725d3541a6427863465b88ff1f06c1
 library/encodings/gbk.pyc	1622	71c1e7fe25116114241829a60e57c5f4
 sounds/speed.mp3	26331	3d64da0eea9f48fa73be82d385354bf6
@@ -42,5 +42,5 @@
 library/encodings/big5hkscs.pyc	1670	0ff54e70f21b5e4a359d3779367cba85
 library/encodings/utf_8.pyc	1806	4b8dee0284ea2f55c4142fcde7463524
-locale/hu/LC_MESSAGES/mlx.mo	82073	e57783c0428759da8e7e2ee0fe9b8b16
+locale/hu/LC_MESSAGES/mlx.mo	82118	100d784a61d4d399b640ba5024c09147
 library/encodings/mac_roman.pyc	2716	4b4745eccfcb77860b70b374ac07fbcc
 library/py_compile.pyc	6292	425da7ee065aa158fd274946204a4a77
@@ -54,5 +54,5 @@
 library/selenium/webdriver/safari/__init__.pyc	125	4a6fe7f5be076227125ddd0577386fa7
 locales/fil.pak	7790	38cdea149d120d8e9a8a0b0a90ac5dfd
-library/mlx/gui/dcdata.pyc	19878	bf0aa6b459e52b82ae440608011b1cf7
+library/mlx/gui/dcdata.pyc	19919	9ea5897e2b27e087ff36f16c77a09487
 library/selenium/webdriver/common/utils.pyc	1718	4f61f38d0107f2694454eacb6d480f45
 library/encodings/iso8859_5.pyc	2679	58a290e94b0266ef8ff4ee52da00e257
@@ -109,5 +109,5 @@
 library/encodings/koi8_r.pyc	2700	fff1b35002b9e938b7ea6fd0fbe824ae
 sounds/737taxi.mp3	157362	846c403e5cb660be53c8b6da16b68234
-library/mlx/const.pyc	6289	6bfbb3f444e4766446e0bd056eda9954
+library/mlx/const.pyc	6345	92c771b85aa8a2a7709894ebd50251fd
 locales/th.pak	13637	7262d0f5e1877212a45a1ef1ccc4c777
 library/mlx/gui/cef.pyc	13834	007bb081ceed016489c31f14aaa70a75
@@ -128,5 +128,5 @@
 library/share/locale/hu/LC_MESSAGES/atk10.mo	8465	e3f3466da367215aad971d7b0394229d
 library/selenium/webdriver/android/__init__.pyc	126	2c08539a10f0de9d77dea0fb81f88c93
-library/select.pyc	543	c86d6813d6c7fbcb3c7950f74f084d5d
+library/select.pyc	543	29768ed1b9fbb3d3c0a5f9ab5cc6a4ed
 library/encodings/uu_codec.pyc	4646	5282a5fcb676851224d2924aa3e48a9e
 library/selenium/webdriver/remote/file_detector.pyc	2025	06b01ab65d8732125257374fb263e879
@@ -172,10 +172,10 @@
 doc/manual/hu/flightSelection.png	28213	5aaf988630d39ebf7b51ecaeb0c2ca24
 library/win32pipe.pyd	24064	de374eded459293b2a7eb8ed8fb38eaa
-library/win32pipe.pyc	552	a9325defcaf31ec2a265d4ca56a4b838
+library/win32pipe.pyc	552	d401b41fb7941ff9b6779b062a70484c
 doc/manual/hu/cruise.png	27925	f7045d9150a756f487e3ae3d08b4c1a5
 library/encodings/iso2022_jp_2004.pyc	1723	66376e788f3819e781897268c1100986
 library/cefpython3.cefpython_py27.pyd	968192	58161b73feae974f560d2c9f416adf3b
 library/encodings/cp866.pyc	8103	f36418dcf93b17b3ced63bd544f44159
-library/gio/_gio.pyc	549	be7605389e760be914513fb410b05456
+library/gio/_gio.pyc	549	51ce5592034f125addba79b8c967f37c
 library/encodings/cp437.pyc	7874	63f1278c0a66129c6fb4f504d6b61b66
 doc/manual/hu/prefsSounds.png	22667	452c396c2bda9684bf052c98fd7870d1
@@ -190,7 +190,7 @@
 doc/manual/hu/acarsTab.png	305091	489953210460410f2ec9d281b7ad6868
 library/encodings/utf_32_be.pyc	1747	3e8c9ef8145de502320202b1688fd2ee
-library/cefpython3/cefpython_py27.pyc	600	250647e0a839fe123bb9e1d79f77f6c5
+library/cefpython3/cefpython_py27.pyc	600	5d0a38b20a77bc8fbee5049286bf353e
 library/encodings/mac_romanian.pyc	2756	a3b2a0892236bc80c8efe8940e33339e
-library/_ctypes.pyc	546	57747d6451b9670e1fcaefe830366337
+library/_ctypes.pyc	546	2f2ec1f61413920f8b23c32ce6209938
 mlx_cef_caller_secondary.sh	178	ecb35d3294a5d1e729697f802a75cde4
 library/encodings/iso8859_2.pyc	2678	da65f42e1be5bec97161e8c1cc4f0fb7
@@ -205,8 +205,8 @@
 library/quopri.pyc	6352	87c42d94f753dd4c8a761cfa79453bb8
 library/htmlentitydefs.pyc	6347	814dc784fdb3d998dccee4c3f4c0394f
-library/mlx/gui/monitor.pyc	13015	04f8148cb0d4e007434a1b5534cfc8a2
+library/mlx/gui/monitor.pyc	13015	506dbdd642eea450bb2cd7bb0c397caa
 library/selenium/webdriver/common/action_chains.pyc	12050	696113f4eb85587998c08b915d8269a4
 library/encodings/latin_1.pyc	2111	52427573ccbfd06220b67d5a9dd1376e
-library/mlx/update.pyc	16925	6ac5bcefbbb9856f322af2ea9ba81351
+library/mlx/update.pyc	17632	a3cb8734519c01a74e628f78c1eac5ce
 library/selenium/webdriver/firefox/extension_connection.pyc	3145	5f8929a22a172a0aa71d4d4acb2aaf17
 library/selenium/webdriver/remote/webelement.pyc	17884	6fa60da9a8bc1d2dc6e1286d9bd8f1ab
@@ -215,5 +215,5 @@
 library/unittest/case.pyc	37758	1d2235e74c246b562c5c00ddf73c621a
 library/subprocess.pyc	38648	c9f749db06dfc9fb32079de51d6efd01
-library/mlx/acft.pyc	40830	0b381612a7f05b54d60c28d2e687643c
+library/mlx/acft.pyc	41318	ab2c3a344a262a8f9db56f89da4310ad
 library/selenium/webdriver/firefox/firefox_binary.pyc	7758	cee737a6fd574b0f2e6ca28508844a30
 library/gobject._gobject.pyd	113152	3d05dd191361f83aa247b62c700fa04e
@@ -226,5 +226,5 @@
 library/encodings/cp864.pyc	7999	ca90afae086cb6b8f69b8419cc3cd1cb
 library/pyexpat.pyd	152576	5a82e9ec95005aca6130751e5b961cc3
-library/pyexpat.pyc	546	33733afdf3632795e02be094ae83782d
+library/pyexpat.pyc	546	1c0f7286e38dee08b400ca3cb014e2ad
 library/unittest/loader.pyc	10884	591a785be23fba35582ce33bdd3d7acd
 library/ftplib.pyc	32043	5a1925388a0874e459aed6891f4cf0c1
@@ -250,5 +250,5 @@
 library/gobject/constants.pyc	1957	2e9cdc605e7c449ef4fc23f56128acec
 doc/manual/hu/calloutsEditor.png	16026	fede870894a85e5d21ca16a026aa6a98
-library/mlx/xplane.pyc	67098	5592e5201555656aee2ce230d023251c
+library/mlx/xplane.pyc	67128	8e8ca08ad43b9222f44298be4d819068
 library/ssl.pyc	13785	d90c880699ecbedb3182f556b9733868
 library/tempfile.pyc	18526	e2cc2d63c29e15f20ee9325e790643a3
@@ -284,5 +284,5 @@
 library/mlx/gui/statusicon.pyc	5616	72e7f1f435bced8727eecc708d69de12
 library/mlx/config.pyc	33266	a7d9c1089d89b2eae06344b4eb62b515
-library/atk.pyc	534	8b3468aabe7a96cc116f79a26e710f15
+library/atk.pyc	534	37e202c378dddd05b49ff23ceb504e6c
 library/gio._gio.pyd	263168	acb8c95fdc391079bebdf7d8685b0dbc
 library/encodings/cp861.pyc	7868	c97a8970ce4d9f40cbafbea6576fbdca
@@ -297,5 +297,5 @@
 library/zlib1.dll	100352	d90dad5eea33a178bac56fff2847d4c2
 locales/en-GB.pak	6364	2a92f4fc905c2743129ccbcdf80d443a
-library/mlx/gui/delaycodes.pyc	12949	f01c50d351027ab4b3b5322a54f662a0
+library/mlx/gui/delaycodes.pyc	12949	0db630925fe99df91bd1fcd99faca43d
 library/encodings/raw_unicode_escape.pyc	2048	8138045029da04bf45204ab756d1bcd4
 sounds/TOD.mp3	174707	92176d53d948fbfebd08c011b063179a
@@ -317,10 +317,10 @@
 library/xml/dom/minidom.pyc	61068	74ffa387e505b9fec2f2ad6a5dcd415d
 library/selenium/webdriver/chrome/__init__.pyc	125	ff98e760d2c777eacfc473761486a702
-library/mlx/gui/gui.pyc	56874	1973b42cfcb522f562ab40110ed8841e
+library/mlx/gui/gui.pyc	56874	f6aeaf4d3f5c76d4c928e7690490b598
 library/stat.pyc	2503	d3b6dc7a54e705219f04d0be75a212de
 locales/ru.pak	10392	1b66f03dd656a2433ce643d0259fca6f
 doc/manual/hu/landing.png	30425	a6c71e05b39a691729a2396514e7a16f
 doc/manual/hu/registration.png	31260	877f209cc012ce6b3335368276babcc6
-library/gobject/_gobject.pyc	573	1a3801bdc744f1353504103f7bbbf4fa
+library/gobject/_gobject.pyc	573	9827e4c2efc6336b37071eaf85f9b0e4
 libcef.dll	38585344	4dfb8a77f35c41bdbe8469877d4af853
 library/encodings/utf_7.pyc	1747	2beeb059236527197d6c640396476ce8
@@ -336,5 +336,5 @@
 doc/manual/hu/monitorWindow.png	21499	c8296e51e14588ac5b037b4832161dfc
 library/selenium/webdriver/android/webdriver.pyc	1348	d8e382aa629964bf424c14159dd4fd2d
-library/pangocairo.pyc	555	1ff971a9f3b5c71677320cef48147c81
+library/pangocairo.pyc	555	81c91b6c1050d8f4f09d4aea32670e6d
 library/zipfile.pyc	37345	568c6ee7e0404625f47248340afb4524
 locales/it.pak	7188	10ae10d8bfcffbfa1160574134e14edb
@@ -345,5 +345,5 @@
 library/tokenize.pyc	13565	354d02cd79df187a28c1851a1e3bad96
 library/win32con.pyc	140797	84d2d064066cfbcc219230f7e9c6e0b0
-library/mlx/gui/flight.pyc	173010	d31df21c0d3bddd7ff01942f0602989e
+library/mlx/gui/flight.pyc	173007	a1969b145054923dda195dd965c7f39d
 library/xmlrpclib.pyc	40724	d4f819f9199ea21236a74c967e335c43
 library/lib/gtk-2.0/2.10.0/engines/libwimp.dll	97984	a5bbbe46e1363aba9020a76f2d58e9d6
@@ -357,10 +357,10 @@
 locales/fi.pak	7098	70c7e2fb26c7abf09cb0f9972fb6c93a
 doc/manual/en/monitorWindow.png	20886	42e08d10c758e21209c4c021f391dee7
-library/_hashlib.pyc	549	145dff0b314b982d7709fc7bcb4cb449
+library/_hashlib.pyc	549	b3bb4d035952688f6d7e2c6e44ffa25d
 library/copy.pyc	11674	30d1745c5e38ab170f8a0486fbebf305
 locales/et.pak	6856	18a0a857e46c28b7f1cd8ff639a24aec
 library/unittest/result.pyc	7444	aefbb3cc79c0ff17787ce84faed7f5e8
-library/mlx/gui/__init__.pyc	107	3494fc6a671a7b8a9dc72ea93948ae52
-library/mlx/pirep.pyc	7303	0563145fa9ac7fe5febd59e555c7a415
+library/mlx/gui/__init__.pyc	107	22f268cac1c5be2f3a058810b6caead3
+library/mlx/pirep.pyc	7706	436ddb2ee1562508596dff46b9827eb0
 library/json/scanner.pyc	2169	e19ee185b7c79ab5cc433b39fcd33faa
 library/traceback.pyc	11223	50ace5c2c6c040a923082442da94cd78
@@ -378,5 +378,5 @@
 sounds/taps.mp3	16614	d4a019c7e9342ae329aee6932d6a43c3
 library/markupbase.pyc	9010	b33ff430e9b1adba3d540b5394ff289a
-library/cairo/_cairo.pyc	561	fe3d70324664a2d1188ea15c3882fc0f
+library/cairo/_cairo.pyc	561	b5755962b34e524b7bf877987ead4d5f
 locales/te.pak	16110	c3af85e60b78273a93970cf8805ded04
 library/lxml/cssselect.pyc	3861	2e693f0c25ab04b1d130646cddd4e081
@@ -389,5 +389,5 @@
 library/winerror.pyc	112982	4986a8f2df094dddedd12c9fddf4966d
 library/encodings/cp775.pyc	7888	25bf7dd514dff294aa02d5119399b2b7
-library/mlx/fsuipc.pyc	74692	e74e01ff94999375c355acb23e35eefa
+library/mlx/fsuipc.pyc	75896	1d6b338b3596544c2a0c96824de79d31
 library/xml/sax/__init__.pyc	3579	c78222ad1fd4f3dbdea06666fe74e84e
 doc/manual/en/connect.png	29728	191520526caf0fa58efcd97d597c9247
@@ -396,5 +396,5 @@
 library/encodings/charmap.pyc	3203	2358b8eb05c66e2a2826b5db6f214547
 library/libgdk-win32-2.0-0.dll	931390	a2b46daac3d4140efdf86429f7aea476
-library/mlx/gui/common.pyc	13634	1305ccfe858ce2ed5df9dc4df165b533
+library/mlx/gui/common.pyc	13688	6b74f01ddbb7b3dd4e038d9ef8d9cd66
 library/dummy_threading.pyc	1265	5ab5c897721aeb346b5bccb84066c5bd
 doc/manual/hu/index.html	61994	e4ee1897fc6e0d5145cb639108fc0e6a
@@ -410,15 +410,15 @@
 library/encodings/iso8859_16.pyc	2695	85e819a29dec2b601ce978dcd5a040fc
 sounds/cpt_takeoff.mp3	8255	254edcf79b8b3752d1a7c191c57f615a
-library/bz2.pyc	534	d925da074aaabe9a1fa72c6f7108d3bb
+library/bz2.pyc	534	120a0be1ab079e353b523c54450fa538
 library/email/utils.pyc	8840	a7be428df6fddee6121cfce55382d1f8
 doc/manual/en/prefsGeneral.png	25633	a5ef76b874f4ad5384b519a11bdf9c47
 library/encodings/iso2022_jp_2.pyc	1699	4b917caa926e5779176612409c66be39
 library/_ssl.pyd	720896	90826a140137efd0d806038828e16f8e
-library/pango.pyc	540	7a61f73cbeb19d7bbb757674bbb9e9c9
+library/pango.pyc	540	5afb1a476c98669496b676bd16c70359
 locales/de.pak	7420	18ba99b07536017ed8b87cb4f77aee1c
 library/glib/__init__.pyc	187	d44c8c2772b263a36726ac0dcfc04b42
 library/pango.pyd	111616	c934763bdf125c3dc92b56db817001d4
 library/libgobject-2.0-0.dll	341594	356d697647a480562c4e2e921b13f8ed
-mlxupdate.exe	19456	a1426f61d7b0415b9f87fe002389422e
+mlxupdate.exe	18944	b8bf9f3d22348aa1f78727f81d967f93
 library/email/errors.pyc	3229	cdb78ab237e195ad69f059128bc03b1d
 library/linecache.pyc	3091	666e6f81b0ea9a7637f8068493f738d5
@@ -431,5 +431,5 @@
 library/getopt.pyc	6454	8f8cd6763f5339988d157d153c910bf5
 library/encodings/cp857.pyc	7611	1b46c8959ac097b73e1c680d464cdc32
-library/_ssl.pyc	537	ded08ae7ccb6ce4c9219571196dbea72
+library/_ssl.pyc	537	2c74df37efac0c86a50834c33351b45f
 library/os2emxpath.pyc	4312	0c35794eeb4739ebb4eb28b9a1daf0ca
 library/pprint.pyc	9852	6b4724e14285c257116655b1d4ba6db1
@@ -443,5 +443,5 @@
 library/encodings/cp1252.pyc	2676	b4c43cc72650c911cf3654dbaf565df9
 library/unicodedata.pyd	688128	c856c31a03dc892e4f2aee93d0bfee44
-library/unicodedata.pyc	558	fe7b45d1e6e5ffc6e119a56c942c1f5e
+library/unicodedata.pyc	558	f7779401111e272f3b8b5c36f78c6e08
 library/encodings/cp1256.pyc	2675	c1bf26ed9c9b5ee0eec495138993cffb
 doc/manual/en/index.html	55261	56847c130a5f63a23aa5d6bf0e041196
@@ -449,5 +449,5 @@
 logo.png	69816	4a7517b22cfd75cc9c15e3fc1b7ebeec
 library/libpangoft2-1.0-0.dll	815421	1dbfead06e26edb81f0849490210e3ff
-library/mlx/util.pyc	4884	0e1e044381afbed77e8cd996e3df4aa0
+library/mlx/util.pyc	5026	ee65b78fc430008ce301eee1155d85b1
 doc/manual/hu/student.png	28297	1e72329a3a463d4c50f1b9d91c3aeacc
 library/selenium/webdriver/common/__init__.pyc	125	6c65d6e881b33e7aedb01f167184288c
@@ -456,5 +456,5 @@
 library/_strptime.pyc	14347	ad17a449b54061177a080e3a21507a39
 library/mlx/singleton.pyc	9184	3b71000d428959ab355db2658cea9557
-library/mlx/airports.pyc	4350	e6852c03d931caa17646118c38e6f8f1
+library/mlx/airports.pyc	4350	95dddcb84b0fb7dc4342c69a45ab20b6
 library/socket.pyc	15488	35f8eb455d6d8df8e19826d1dd7193f2
 sounds/notify.wav	119384	108025b17f67e61946df5d7fbf713cdb
@@ -470,5 +470,5 @@
 doc/manual/hu/connect.png	31517	4cfdc3f3264248ca3cbf9b3dd14d5d7a
 library/encodings/palmos.pyc	2876	9284ad53dcfd82dfae0a79923b1cf91d
-library/mlx/web.pyc	43157	41e4d3c73396a29a97dcbbe59056f0da
+library/mlx/web.pyc	43207	427ca47e5d26db0a1c45c63a1909f2ee
 library/mlx/gui/gates.pyc	5635	541e695d5acf90721e523c5513fe7d0d
 library/gobject/propertyhelper.pyc	8878	cc3598dab17d31ff46a6dee669ccb5ed
@@ -498,6 +498,6 @@
 library/selenium/webdriver/support/expected_conditions.pyc	14298	43b8884d089d85e074d0d9f2fbcd5e28
 doc/manual/hu/logTab.png	28908	25b9aceb760189c177a5562c0cfa2a04
-library/win32event.pyc	555	ac8e9a2c43e3fa9290e1feca913f4b10
-library/win32file.pyc	552	8170fd7ba6908bcf14ae50b33eba11e7
+library/win32event.pyc	555	d7db26e6cbffe6664e4fe30b631e7a1b
+library/win32file.pyc	552	a79c624d9889958ea3bb56872a038744
 library/encodings/shift_jis_2004.pyc	1710	f8bb22a8b02dba2b66b7f77122c98fd6
 library/encodings/cp856.pyc	2701	8b6649490089bedd87e9b8c56985f6b3
@@ -509,5 +509,5 @@
 library/weakref.pyc	13028	5d1c14275f47e8cf6d40bc6877fde976
 library/mlx/gui/checklist.pyc	12279	0d648433bc36dd90e70dbd27c094733a
-library/mlx/fs.pyc	11967	80815bbe572fcfb182f1da5ba9a0e111
+library/mlx/fs.pyc	11967	1ee8179acadd281b9e9141fa241192bd
 locales/he.pak	8198	2486731ee9bedc244d41143a2741775f
 library/nturl2path.pyc	1755	7835082f2dd6806f99cc25bed13ff7dc
@@ -532,5 +532,5 @@
 library/libgdk_pixbuf-2.0-0.dll	285194	e4c64b0e7e4c6606f3973a16c0c1ee84
 library/encodings/big5.pyc	1630	a21b45d3e487bf09f40a08448040c97d
-library/mlx/gui/update.pyc	11482	02d959d93aaf0ddaffe186c6f060da25
+library/mlx/gui/update.pyc	11482	0253f16c44bb29de314f25c9a5f57e64
 library/encodings/cp1250.pyc	2676	c92e287a2aa6a1c924df287d826aa3b7
 doc/manual/en/gatesTab.png	31516	7078e7c5adff9ee39816d2c3855d8523
@@ -547,5 +547,5 @@
 doc/manual/hu/gateSelection.png	31891	937dc56457188df05056c0f9f3a53975
 library/cmd.pyc	13512	808f813d5e354b7073a1356e44c7b554
-library/mlx/rpc.pyc	12804	4695b27a7e3c0ddf042c795e72da0ae5
+library/mlx/rpc.pyc	12842	7cd5e46de931cc91ae5d0a976e0e649a
 locales/ko.pak	7278	41ecc83d5eef5887c7c288b3b570c7b4
 library/jsonrpclib/history.pyc	1662	2e0e6d5c26e2794085d62feb524e4542
@@ -568,9 +568,9 @@
 library/_socket.pyd	38400	5d273be76603399e88cf57f2605004bf
 library/plistlib.pyc	18067	d8d36573e80bfdde7c73e47828f6e710
-library/_socket.pyc	546	c62cc65116c893774f93084e8af2c248
+library/_socket.pyc	546	553efe1209fc8af43733256466123f21
 library/encodings/hex_codec.pyc	3520	a8b8d5b7c8810379c7007bcbc253951c
 library/mlx/sound.pyc	8226	e8ca9ac1842f9e548b60e0d4f5648fcb
-library/glib/_glib.pyc	555	d9c694c65d7c14d23750a80594131142
-library/win32api.pyc	549	b3f9fb01179341f4dc7f3b6d4d0f5d4b
+library/glib/_glib.pyc	555	8d27ea6731daca1b2923752176e5cf71
+library/win32api.pyc	549	54316481ac96e824795506539cf6dec1
 library/encodings/iso8859_13.pyc	2696	f901ae0bbcfbb78f0c1783e89b2e2dc5
 library/selenium/webdriver/remote/remote_connection.pyc	21225	287db6d396dcce7180eada87e8c6ace0
@@ -581,5 +581,5 @@
 doc/manual/hu/prefsMessages.png	22980	6e60ec51305e95e5d057c0dd82b69460
 library/xml/parsers/__init__.pyc	294	83f6a77ed8cd962b3c75c4779dc557ac
-locale/en/LC_MESSAGES/mlx.mo	76347	ddb8d0ba7e855e3097ef90ab0922f689
+locale/en/LC_MESSAGES/mlx.mo	76392	9c36e5f14c05b8a290d325d059f68a27
 library/_abcoll.pyc	19891	a5c1881934f1533c22b22b9317ac1d68
 library/encodings/iso8859_11.pyc	2787	a31e6d0d34e35259d7183cc9437eacca
@@ -588,5 +588,5 @@
 locales/da.pak	6631	1bf496bcde38f3f2899cd0fab6986959
 library/encodings/mac_latin2.pyc	4717	564dbaf5c296a147203eb821dc2466ba
-library/mlx/__init__.pyc	103	877b8715b7e58440a0e8f212cab6035e
+library/mlx/__init__.pyc	103	029f80bd80f880e6ca70ef4ba46f7d06
 library/mlx/i18n.pyc	1972	141a57905a2597e5ced25866d032d3a4
 library/xml/sax/saxutils.pyc	12382	32ed045b3b520234ebea6a508a6569fe
@@ -595,5 +595,5 @@
 doc/manual/hu/gatesTab.png	32840	316fb040e358c79b2a846b1eed4651c6
 library/webbrowser.pyc	18138	c85009edebad6d278fe786fec10ebbbe
-library/mlx/pyuipc_sim.pyc	57203	5d059078e0595be103153c76d55188dc
+library/mlx/pyuipc_sim.pyc	57327	016431de17c7e62fff5bf7e24e2474ff
 library/encodings/cp875.pyc	2636	c72faa5d1cb6105ae81c971448fea479
 library/dis.pyc	6068	3934ab23d64f3da393305b19df0f1fd0
@@ -609,8 +609,8 @@
 locales/sk.pak	7622	dfdff6206e5a79aef8b46d0d9c2a8367
 library/select.pyd	11776	d90bf525f9f6c9c3aa6532fa6e569b4f
-library/pyuipc.pyc	543	2153352e0dd4e169e25e1513c336ac57
+library/pyuipc.pyc	543	c5fed9169d6c2f61214561d5383cf9f8
 library/selenium/common/exceptions.pyc	9313	2140bc8b29eb7c3f4fc29622d0060152
 doc/manual/en/logTab.png	28120	b92cf63420e59e0c48da4f0b3baae040
-library/pyuipc.pyd	47616	2b4fe2d52575de71dda6f72690cf581e
+library/pyuipc.pyd	47616	5f805cbcd976b061c5d70496830dd39c
 library/encodings/johab.pyc	1638	5346c11a863ffbcfb21aba8f1d2236b7
 doc/manual/en/registration.png	29655	ce7a0910be4eac89506cbcb210de224c
@@ -621,5 +621,5 @@
 library/logging/__init__.pyc	54813	7bcdf2e8da474f5e94d8e499f6fc3ed4
 library/selenium/webdriver/phantomjs/service.pyc	3263	3a56577bb9f058e0d7e5be544a8e850b
-runmlx.exe	64000	f2080595c2c0ad79f50eeeabacc5e310
+runmlx.exe	63488	3060aa0ed73648edc26992e224568352
 locales/zh-CN.pak	6386	36e1df83611aef6fbfeeafd067dd4241
 locales/hi.pak	13321	4b6b27ab4421c94685fc09051a2339f8