Index: MLXMANIFEST
===================================================================
--- MLXMANIFEST	(revision 795)
+++ MLXMANIFEST	(revision 802)
@@ -4,9 +4,10 @@
 library/xml/dom/xmlbuilder.pyc	15414	42285fdd810a2aa92c06775b5d415c33
 library/fnmatch.pyc	3414	4d50000f78e903598af06ef1c5cfb3ef
-library/gtk/_gtk.pyc	549	4e4a2c72f6acf5e1f1f0f7c4857ce251
+library/multiprocessing/managers.pyc	36290	ca35d24d87467303c5e94a0de51e9593
+library/gtk/_gtk.pyc	549	bf43f7a6753c48de858cee1bc7feacbe
 library/encodings/cp858.pyc	7591	02054a0b8e91b9758826eb70cddf096f
 library/encodings/cp1254.pyc	2678	17ff2ac86f90886d5c73ed789f0499f3
 library/encodings/unicode_internal.pyc	2022	1e902113491e0c334b44deb0c8940e01
-library/lxml/etree.pyc	555	dd725d3541a6427863465b88ff1f06c1
+library/lxml/etree.pyc	555	944fe5337d215b914848385009d10c4d
 library/encodings/gbk.pyc	1622	71c1e7fe25116114241829a60e57c5f4
 sounds/speed.mp3	26331	3d64da0eea9f48fa73be82d385354bf6
@@ -62,4 +63,5 @@
 library/mlx/gui/bugreport.pyc	4602	99c9fc4da49ca115a5bd140a8405b87d
 doc/manual/en/flightSelection.png	26869	35427845ae09baa263ab757d0e0dfa50
+library/multiprocessing/pool.pyc	19766	3a4d776f05a59e31df0218fcf52b9a6d
 library/encodings/cp500.pyc	2639	bb122a6e1384530e1b2efb14cf999239
 sounds/TaxiAfterLand.mp3	155481	ded1908d2e7bf2ee2cbf445bb44cf756
@@ -109,5 +111,6 @@
 library/encodings/koi8_r.pyc	2700	fff1b35002b9e938b7ea6fd0fbe824ae
 sounds/737taxi.mp3	157362	846c403e5cb660be53c8b6da16b68234
-library/mlx/const.pyc	6345	92c771b85aa8a2a7709894ebd50251fd
+library/mlx/const.pyc	6343	d09208b348a468b989513a08602e55c8
+python27.dll	2206720	f8f39495ed4a813e8f3049a4b9f5cff4
 locales/th.pak	13637	7262d0f5e1877212a45a1ef1ccc4c777
 library/mlx/gui/cef.pyc	13834	007bb081ceed016489c31f14aaa70a75
@@ -118,4 +121,5 @@
 library/encodings/idna.pyc	6124	6d67198be2b194c4c0acf48e2f1473ac
 library/selenium/webdriver/support/wait.pyc	3062	0b45eef7d5f12effdcb7b3b3bf077953
+library/multiprocessing/util.pyc	9119	f4175f3365173e4e899f43cddc580219
 library/encodings/iso8859_8.pyc	2717	f3ad6ce58cfac9e3ca86cf5c2fef092b
 library/encodings/utf_16.pyc	4808	45343ba87ff1675cd72f656555193d29
@@ -128,5 +132,5 @@
 library/share/locale/hu/LC_MESSAGES/atk10.mo	8465	e3f3466da367215aad971d7b0394229d
 library/selenium/webdriver/android/__init__.pyc	126	2c08539a10f0de9d77dea0fb81f88c93
-library/select.pyc	543	29768ed1b9fbb3d3c0a5f9ab5cc6a4ed
+library/select.pyc	543	3c2565ac99cf69a0fdfcc7ba49590240
 library/encodings/uu_codec.pyc	4646	5282a5fcb676851224d2924aa3e48a9e
 library/selenium/webdriver/remote/file_detector.pyc	2025	06b01ab65d8732125257374fb263e879
@@ -172,10 +176,10 @@
 doc/manual/hu/flightSelection.png	28213	5aaf988630d39ebf7b51ecaeb0c2ca24
 library/win32pipe.pyd	24064	de374eded459293b2a7eb8ed8fb38eaa
-library/win32pipe.pyc	552	d401b41fb7941ff9b6779b062a70484c
+library/win32pipe.pyc	552	ddd7bed114df2a82236c1918c818ef78
 doc/manual/hu/cruise.png	27925	f7045d9150a756f487e3ae3d08b4c1a5
 library/encodings/iso2022_jp_2004.pyc	1723	66376e788f3819e781897268c1100986
 library/cefpython3.cefpython_py27.pyd	968192	58161b73feae974f560d2c9f416adf3b
 library/encodings/cp866.pyc	8103	f36418dcf93b17b3ced63bd544f44159
-library/gio/_gio.pyc	549	51ce5592034f125addba79b8c967f37c
+library/gio/_gio.pyc	549	c9cb3a7107e433a180ad40330d76e15e
 library/encodings/cp437.pyc	7874	63f1278c0a66129c6fb4f504d6b61b66
 doc/manual/hu/prefsSounds.png	22667	452c396c2bda9684bf052c98fd7870d1
@@ -190,7 +194,8 @@
 doc/manual/hu/acarsTab.png	305091	489953210460410f2ec9d281b7ad6868
 library/encodings/utf_32_be.pyc	1747	3e8c9ef8145de502320202b1688fd2ee
-library/cefpython3/cefpython_py27.pyc	600	5d0a38b20a77bc8fbee5049286bf353e
+library/cefpython3/cefpython_py27.pyc	600	3fa4e6156cdcce9fdb27dce80310c295
 library/encodings/mac_romanian.pyc	2756	a3b2a0892236bc80c8efe8940e33339e
-library/_ctypes.pyc	546	2f2ec1f61413920f8b23c32ce6209938
+library/multiprocessing/connection.pyc	13385	c86567e4a002e8beca2301d1110b887c
+library/_ctypes.pyc	546	2d842a32a23d3b4ab64a6315ef5498c6
 mlx_cef_caller_secondary.sh	178	ecb35d3294a5d1e729697f802a75cde4
 library/encodings/iso8859_2.pyc	2678	da65f42e1be5bec97161e8c1cc4f0fb7
@@ -212,8 +217,7 @@
 library/selenium/webdriver/remote/webelement.pyc	17884	6fa60da9a8bc1d2dc6e1286d9bd8f1ab
 library/bdb.pyc	17708	9a8fdcaa65f595c842689247847879d9
-locales/sl.pak	6956	f4f7de66d579c41682c64ee1ef1f11f8
 library/unittest/case.pyc	37758	1d2235e74c246b562c5c00ddf73c621a
 library/subprocess.pyc	38648	c9f749db06dfc9fb32079de51d6efd01
-library/mlx/acft.pyc	41318	ab2c3a344a262a8f9db56f89da4310ad
+library/mlx/acft.pyc	42288	8e27f80c7d2e1abb2f09e9d6bfb96818
 library/selenium/webdriver/firefox/firefox_binary.pyc	7758	cee737a6fd574b0f2e6ca28508844a30
 library/gobject._gobject.pyd	113152	3d05dd191361f83aa247b62c700fa04e
@@ -222,9 +226,9 @@
 library/mlx/gui/acars.pyc	1054	f1ac7c30434908114c49343eca6dfd32
 library/gtk/_lazyutils.pyc	2772	93f9aa41ad4223106d99340cd539a566
-library/mlx/mlx.pyc	2979	1d725286e2f1d85ff919a7846c63991c
+library/mlx/mlx.pyc	3027	6acdd392d3f3095bac42108db71a7f63
 library/selenium/webdriver/remote/utils.pyc	3073	592eeca209cae991779c97ddd322b388
 library/encodings/cp864.pyc	7999	ca90afae086cb6b8f69b8419cc3cd1cb
 library/pyexpat.pyd	152576	5a82e9ec95005aca6130751e5b961cc3
-library/pyexpat.pyc	546	1c0f7286e38dee08b400ca3cb014e2ad
+library/pyexpat.pyc	546	ddab300e439379f8acdf3b9e3589d626
 library/unittest/loader.pyc	10884	591a785be23fba35582ce33bdd3d7acd
 library/ftplib.pyc	32043	5a1925388a0874e459aed6891f4cf0c1
@@ -284,5 +288,5 @@
 library/mlx/gui/statusicon.pyc	5616	72e7f1f435bced8727eecc708d69de12
 library/mlx/config.pyc	33266	a7d9c1089d89b2eae06344b4eb62b515
-library/atk.pyc	534	37e202c378dddd05b49ff23ceb504e6c
+library/atk.pyc	534	020671727d58ad181f3b01443252061d
 library/gio._gio.pyd	263168	acb8c95fdc391079bebdf7d8685b0dbc
 library/encodings/cp861.pyc	7868	c97a8970ce4d9f40cbafbea6576fbdca
@@ -290,4 +294,5 @@
 library/selenium/webdriver/safari/webdriver.pyc	2470	f5e61aec420bfc43a08db515c9b75276
 locales/cs.pak	7347	82b7a3d87a1307e65b6dac449e858721
+library/hmac.pyc	4262	11a5b39d6a1bd05e1c525f692e55172a
 library/__future__.pyc	4177	43d264d951ac2085334c7b9dd4558595
 library/optparse.pyc	51253	39594a40bc1222173d57b7d5740e3d92
@@ -317,10 +322,10 @@
 library/xml/dom/minidom.pyc	61068	74ffa387e505b9fec2f2ad6a5dcd415d
 library/selenium/webdriver/chrome/__init__.pyc	125	ff98e760d2c777eacfc473761486a702
-library/mlx/gui/gui.pyc	56874	f6aeaf4d3f5c76d4c928e7690490b598
+library/mlx/gui/gui.pyc	56880	acdab5d88a4d8388606f6184aea9dbf9
 library/stat.pyc	2503	d3b6dc7a54e705219f04d0be75a212de
 locales/ru.pak	10392	1b66f03dd656a2433ce643d0259fca6f
 doc/manual/hu/landing.png	30425	a6c71e05b39a691729a2396514e7a16f
 doc/manual/hu/registration.png	31260	877f209cc012ce6b3335368276babcc6
-library/gobject/_gobject.pyc	573	9827e4c2efc6336b37071eaf85f9b0e4
+library/gobject/_gobject.pyc	573	e540b4a3f0f86ebaccdaf12bb9358688
 libcef.dll	38585344	4dfb8a77f35c41bdbe8469877d4af853
 library/encodings/utf_7.pyc	1747	2beeb059236527197d6c640396476ce8
@@ -336,5 +341,5 @@
 doc/manual/hu/monitorWindow.png	21499	c8296e51e14588ac5b037b4832161dfc
 library/selenium/webdriver/android/webdriver.pyc	1348	d8e382aa629964bf424c14159dd4fd2d
-library/pangocairo.pyc	555	81c91b6c1050d8f4f09d4aea32670e6d
+library/pangocairo.pyc	555	47cbafad88f9576252d5de071789c185
 library/zipfile.pyc	37345	568c6ee7e0404625f47248340afb4524
 locales/it.pak	7188	10ae10d8bfcffbfa1160574134e14edb
@@ -345,5 +350,5 @@
 library/tokenize.pyc	13565	354d02cd79df187a28c1851a1e3bad96
 library/win32con.pyc	140797	84d2d064066cfbcc219230f7e9c6e0b0
-library/mlx/gui/flight.pyc	173007	a1969b145054923dda195dd965c7f39d
+library/mlx/gui/flight.pyc	172997	dc0156313c24bdc07770613652c808f6
 library/xmlrpclib.pyc	40724	d4f819f9199ea21236a74c967e335c43
 library/lib/gtk-2.0/2.10.0/engines/libwimp.dll	97984	a5bbbe46e1363aba9020a76f2d58e9d6
@@ -354,8 +359,9 @@
 library/dummy_thread.pyc	5094	310a3d15c9cf20259b0ca4892811dec5
 library/gtk._gtk.pyd	1882624	bbb1d1e41bbebc6abf69bed719d50497
+library/multiprocessing/dummy/__init__.pyc	5020	4459981bd1f28690d2c1bf0546de9f05
 library/_hashlib.pyd	287232	a1a18de0644f481749fcbcf26005eeaf
 locales/fi.pak	7098	70c7e2fb26c7abf09cb0f9972fb6c93a
 doc/manual/en/monitorWindow.png	20886	42e08d10c758e21209c4c021f391dee7
-library/_hashlib.pyc	549	b3bb4d035952688f6d7e2c6e44ffa25d
+library/_hashlib.pyc	549	ecb3d8408c7ce0dd109a6b9069598194
 library/copy.pyc	11674	30d1745c5e38ab170f8a0486fbebf305
 locales/et.pak	6856	18a0a857e46c28b7f1cd8ff639a24aec
@@ -370,5 +376,5 @@
 library/encodings/iso2022_jp_3.pyc	1699	ee1c3aa11bbe19eeb4deafa238563133
 library/cefpython3/__init__.pyc	556	38a652a0209e49e323bee4dd54a018af
-library/mlx/common.pyc	1384	00e2e7b35eb747ee9ffc85db098e0f6a
+library/mlx/common.pyc	444	81a72ceff029e4be88de252226d0f2b4
 doc/manual/en/simbriefSetup.png	30414	9788762f9a23ffd71a66cbd90a23f13b
 library/ctypes/__init__.pyc	18846	2bd183962453ae93d6887b303d3fd338
@@ -378,5 +384,5 @@
 sounds/taps.mp3	16614	d4a019c7e9342ae329aee6932d6a43c3
 library/markupbase.pyc	9010	b33ff430e9b1adba3d540b5394ff289a
-library/cairo/_cairo.pyc	561	b5755962b34e524b7bf877987ead4d5f
+library/cairo/_cairo.pyc	561	513c0c1e5b59554b3f2ac2c2ef7a9aa6
 locales/te.pak	16110	c3af85e60b78273a93970cf8805ded04
 library/lxml/cssselect.pyc	3861	2e693f0c25ab04b1d130646cddd4e081
@@ -410,15 +416,15 @@
 library/encodings/iso8859_16.pyc	2695	85e819a29dec2b601ce978dcd5a040fc
 sounds/cpt_takeoff.mp3	8255	254edcf79b8b3752d1a7c191c57f615a
-library/bz2.pyc	534	120a0be1ab079e353b523c54450fa538
+library/bz2.pyc	534	f5722dfaf11fcf0c5d1424dc944a1180
 library/email/utils.pyc	8840	a7be428df6fddee6121cfce55382d1f8
 doc/manual/en/prefsGeneral.png	25633	a5ef76b874f4ad5384b519a11bdf9c47
 library/encodings/iso2022_jp_2.pyc	1699	4b917caa926e5779176612409c66be39
 library/_ssl.pyd	720896	90826a140137efd0d806038828e16f8e
-library/pango.pyc	540	5afb1a476c98669496b676bd16c70359
+library/pango.pyc	540	368c4a0344a3e2686b2d3c9a61673a08
 locales/de.pak	7420	18ba99b07536017ed8b87cb4f77aee1c
 library/glib/__init__.pyc	187	d44c8c2772b263a36726ac0dcfc04b42
-library/pango.pyd	111616	c934763bdf125c3dc92b56db817001d4
+locales/sl.pak	6956	f4f7de66d579c41682c64ee1ef1f11f8
 library/libgobject-2.0-0.dll	341594	356d697647a480562c4e2e921b13f8ed
-mlxupdate.exe	18944	b8bf9f3d22348aa1f78727f81d967f93
+mlxupdate.exe	19456	a9c4e0c793fac647b37102b51f0863ae
 library/email/errors.pyc	3229	cdb78ab237e195ad69f059128bc03b1d
 library/linecache.pyc	3091	666e6f81b0ea9a7637f8068493f738d5
@@ -431,10 +437,11 @@
 library/getopt.pyc	6454	8f8cd6763f5339988d157d153c910bf5
 library/encodings/cp857.pyc	7611	1b46c8959ac097b73e1c680d464cdc32
-library/_ssl.pyc	537	2c74df37efac0c86a50834c33351b45f
+library/_ssl.pyc	537	bee2d598a8716c8c7d59ad602589f075
 library/os2emxpath.pyc	4312	0c35794eeb4739ebb4eb28b9a1daf0ca
 library/pprint.pyc	9852	6b4724e14285c257116655b1d4ba6db1
 library/xml/parsers/expat.pyc	259	d7be0c4de475d65e08ba7fdbabe088d3
-python27.dll	2206720	f8f39495ed4a813e8f3049a4b9f5cff4
+library/multiprocessing/process.pyc	8940	d3a6399dd86acf43cff50cec716664c4
 library/encodings/mac_centeuro.pyc	2747	6461bd7ed7a57683d5c36001f9ac85c9
+library/multiprocessing/__init__.pyc	7945	d4d7218a3c49b3d1b1f0440288c8d68b
 library/encodings/utf_32.pyc	5336	912103fef3db6edc29a35dd0cfb5c5b9
 library/ntpath.pyc	11407	533c9331a1b72cc80dd3f88145ba4466
@@ -443,8 +450,10 @@
 library/encodings/cp1252.pyc	2676	b4c43cc72650c911cf3654dbaf565df9
 library/unicodedata.pyd	688128	c856c31a03dc892e4f2aee93d0bfee44
-library/unicodedata.pyc	558	f7779401111e272f3b8b5c36f78c6e08
+library/unicodedata.pyc	558	d87aec622063583c3fc1caa8ee42f8ce
+library/multiprocessing/sharedctypes.pyc	8069	0b5a57d8a8a1562a9d562edabd5065c1
 library/encodings/cp1256.pyc	2675	c1bf26ed9c9b5ee0eec495138993cffb
 doc/manual/en/index.html	55261	56847c130a5f63a23aa5d6bf0e041196
 library/email/base64mime.pyc	5221	c536d6f0c03f029bba77f15ef6ba3d99
+library/multiprocessing/forking.pyc	13567	6e429ef83b9652cfa897275cea20f1ea
 logo.png	69816	4a7517b22cfd75cc9c15e3fc1b7ebeec
 library/libpangoft2-1.0-0.dll	815421	1dbfead06e26edb81f0849490210e3ff
@@ -457,4 +466,5 @@
 library/mlx/singleton.pyc	9184	3b71000d428959ab355db2658cea9557
 library/mlx/airports.pyc	4350	95dddcb84b0fb7dc4342c69a45ab20b6
+library/Queue.pyc	8848	4a5b98abcb80aaf94e6de1eb41ec66fa
 library/socket.pyc	15488	35f8eb455d6d8df8e19826d1dd7193f2
 sounds/notify.wav	119384	108025b17f67e61946df5d7fbf713cdb
@@ -490,4 +500,5 @@
 locales/fa.pak	9886	475b94417d7b2af113fb147a0c45da0f
 locales/fr.pak	7917	bac6c149685b4b84617ca8c8c39306b7
+library/multiprocessing/queues.pyc	10928	5a8a8fb99e00fa7c3d7e64cd511934a6
 doc/manual/en/payload.png	29406	8d3996e5dc6e9511272ac635e53055b1
 library/selenium/webdriver/support/__init__.pyc	126	b99fdca3533d28cae3e7a63624932966
@@ -495,9 +506,12 @@
 library/doctest.pyc	79210	620422f95e18417ff5f8440534a71e91
 library/libpango-1.0-0.dll	333729	5a14efd93ee27cfe960220fe4a904911
+library/multiprocessing/heap.pyc	6104	71b50576901ea09d8e4666a9a80724d3
 library/encodings/unicode_escape.pyc	1996	32990583f1caf874e556087da7b92971
+library/_multiprocessing.pyc	573	9844f4032e83260da75058a0e329747c
 library/selenium/webdriver/support/expected_conditions.pyc	14298	43b8884d089d85e074d0d9f2fbcd5e28
 doc/manual/hu/logTab.png	28908	25b9aceb760189c177a5562c0cfa2a04
-library/win32event.pyc	555	d7db26e6cbffe6664e4fe30b631e7a1b
-library/win32file.pyc	552	a79c624d9889958ea3bb56872a038744
+library/win32event.pyc	555	b99210bd5f7de346cd8f6c3713b5c4e3
+library/win32file.pyc	552	74b246a4f279d624ec9994b0d9bb8b86
+library/_multiprocessing.pyd	28672	edd174951a2233941c8d2064c0f69a68
 library/encodings/shift_jis_2004.pyc	1710	f8bb22a8b02dba2b66b7f77122c98fd6
 library/encodings/cp856.pyc	2701	8b6649490089bedd87e9b8c56985f6b3
@@ -521,4 +535,6 @@
 doc/manual/hu/statusIcon1.png	6920	614cde237a5b4e2678ed15d9cd01088e
 library/encodings/cp1253.pyc	2689	52d4a723e9e86940701cb648b40ed884
+library/multiprocessing/dummy/connection.pyc	2524	2ef985ef26ec2a3dd575dccfc56423a2
+library/pango.pyd	111616	c934763bdf125c3dc92b56db817001d4
 library/StringIO.pyc	11100	f4eb4a2bb3d6fb0af925681c5375c673
 library/gtk/__init__.pyc	3025	9f6605bf84c6cbd3c20f1d37e58af969
@@ -536,4 +552,5 @@
 doc/manual/en/gatesTab.png	31516	7078e7c5adff9ee39816d2c3855d8523
 library/libcairo-2.dll	1294335	c0da2a3ab704f338f0fc6df51fd99497
+library/multiprocessing/synchronize.pyc	10305	37b6a0c406fbb01d1aa357a2b6454bea
 library/keyword.pyc	2063	4d5bab044f614cfdabe89011cd3d7375
 locales/vi.pak	7990	f0d8ddd9bdabaef79a9c92f3fd021f25
@@ -553,4 +570,5 @@
 locales/ja.pak	8340	21ab6501f6d0c8d3e73b4921ce1b0086
 locales/ta.pak	16595	5136010addd237205a5560f92b635589
+library/multiprocessing/reduction.pyc	5673	4ae16f8f791d8d72790a3ab5870ca210
 library/email/feedparser.pyc	10682	4de6a63da8dc270c9881edb9c2f28508
 doc/manual/en/route.png	26389	9c3218e93a2883158bd9134f4d9513e1
@@ -568,9 +586,9 @@
 library/_socket.pyd	38400	5d273be76603399e88cf57f2605004bf
 library/plistlib.pyc	18067	d8d36573e80bfdde7c73e47828f6e710
-library/_socket.pyc	546	553efe1209fc8af43733256466123f21
+library/_socket.pyc	546	4aeb8abdc4e14c5390f2b2235f8b86e8
 library/encodings/hex_codec.pyc	3520	a8b8d5b7c8810379c7007bcbc253951c
-library/mlx/sound.pyc	8226	e8ca9ac1842f9e548b60e0d4f5648fcb
-library/glib/_glib.pyc	555	8d27ea6731daca1b2923752176e5cf71
-library/win32api.pyc	549	54316481ac96e824795506539cf6dec1
+library/mlx/sound.pyc	12511	1cb833d4bb47c63572bef0fc1e0a675d
+library/glib/_glib.pyc	555	ce1e753b5b107a80eb72fc55069fc1a6
+library/win32api.pyc	549	fab7e9a6bf2db3e54fa541da87fb332b
 library/encodings/iso8859_13.pyc	2696	f901ae0bbcfbb78f0c1783e89b2e2dc5
 library/selenium/webdriver/remote/remote_connection.pyc	21225	287db6d396dcce7180eada87e8c6ace0
@@ -609,5 +627,5 @@
 locales/sk.pak	7622	dfdff6206e5a79aef8b46d0d9c2a8367
 library/select.pyd	11776	d90bf525f9f6c9c3aa6532fa6e569b4f
-library/pyuipc.pyc	543	c5fed9169d6c2f61214561d5383cf9f8
+library/pyuipc.pyc	543	b4fc43aa0587049f8f5ee6b58803ac9b
 library/selenium/common/exceptions.pyc	9313	2140bc8b29eb7c3f4fc29622d0060152
 doc/manual/en/logTab.png	28120	b92cf63420e59e0c48da4f0b3baae040
@@ -621,5 +639,5 @@
 library/logging/__init__.pyc	54813	7bcdf2e8da474f5e94d8e499f6fc3ed4
 library/selenium/webdriver/phantomjs/service.pyc	3263	3a56577bb9f058e0d7e5be544a8e850b
-runmlx.exe	63488	3060aa0ed73648edc26992e224568352
+runmlx.exe	64000	250c46fb7fdc037554d1ebd84b011ac4
 locales/zh-CN.pak	6386	36e1df83611aef6fbfeeafd067dd4241
 locales/hi.pak	13321	4b6b27ab4421c94685fc09051a2339f8