Index: locale/en/mlx.po
===================================================================
--- locale/en/mlx.po	(revision 855)
+++ locale/en/mlx.po	(revision 858)
@@ -70,4 +70,37 @@
 msgstr "British Aerospace 146-200"
 
+msgid "aircraft_family_b737ng"
+msgstr "Boeing 737NG"
+
+msgid "aircraft_family_b737cl"
+msgstr "Boeing 737 Classic"
+
+msgid "aircraft_family_dh8d"
+msgstr "Bombardier Dash-8 Q400"
+
+msgid "aircraft_family_b767"
+msgstr "Boeing 767"
+
+msgid "aircraft_family_crj2"
+msgstr "Canadair Regional Jet CRJ-200"
+
+msgid "aircraft_family_f70"
+msgstr "Fokker F70"
+
+msgid "aircraft_family_dc3"
+msgstr "Lisunov Li-2"
+
+msgid "aircraft_family_t134"
+msgstr "Tupolev Tu-134"
+
+msgid "aircraft_family_t154"
+msgstr "Tupolev Tu-154"
+
+msgid "aircraft_family_yk40"
+msgstr "Yakovlev Yak-40"
+
+msgid "aircraft_family_b462"
+msgstr "British Aerospace 146-200"
+
 msgid "file_filter_all"
 msgstr "All files"
@@ -132,4 +165,10 @@
 msgid "menu_tools_flights_key"
 msgstr "f"
+
+msgid "menu_tools_timetable"
+msgstr "B_ook flights"
+
+msgid "menu_tools_timetable_key"
+msgstr "o"
 
 msgid "menu_tools_chklst"
@@ -2573,4 +2612,61 @@
 msgstr "Rating"
 
+msgid "timetable_query_busy"
+msgstr "Downloading timetable..."
+
+msgid "timetable_title"
+msgstr "Flight booking"
+
+msgid "timetable_no"
+msgstr "Flight no."
+
+msgid "timetable_type"
+msgstr "Aircraft"
+
+msgid "timetable_from"
+msgstr "From"
+
+msgid "timetable_to"
+msgstr "To"
+
+msgid "timetable_dep"
+msgstr "Departure"
+
+msgid "timetable_arr"
+msgstr "Arrival"
+
+msgid "timetable_duration"
+msgstr "Duration"
+
+msgid "timetable_vip"
+msgstr "VIP"
+
+msgid "timetable_busy"
+msgstr "Loading timetable"
+
+msgid "timetable_failed"
+msgstr "Failed to load the timetable."
+
+msgid "timetable_flightdate"
+msgstr "Flight _date:"
+
+msgid "timetable_flightdate_tooltip"
+msgstr "Click here to select another date."
+
+msgid "timetable_show_regular"
+msgstr "Show _regular flights"
+
+msgid "timetable_show_regular_tooltip"
+msgstr "If selected, regular (i.e. non-VIP) flights will be shown."
+
+msgid "timetable_show_vip"
+msgstr "Show _VIP flights"
+
+msgid "timetable_show_vip_tooltip"
+msgstr "If selected, VIP flights will be shown."
+
+msgid "timetable_filter"
+msgstr "Filtering criteria"
+
 msgid "error_communication"
 msgstr "Communication error"
Index: locale/hu/mlx.po
===================================================================
--- locale/hu/mlx.po	(revision 855)
+++ locale/hu/mlx.po	(revision 858)
@@ -70,4 +70,37 @@
 msgstr "British Aerospace 146-200"
 
+msgid "aircraft_family_b737ng"
+msgstr "Boeing 737NG"
+
+msgid "aircraft_family_b737cl"
+msgstr "Boeing 737 Classic"
+
+msgid "aircraft_family_dh8d"
+msgstr "Bombardier Dash-8 Q400"
+
+msgid "aircraft_family_b767"
+msgstr "Boeing 767"
+
+msgid "aircraft_family_crj2"
+msgstr "Canadair Regional Jet CRJ-200"
+
+msgid "aircraft_family_f70"
+msgstr "Fokker F70"
+
+msgid "aircraft_family_dc3"
+msgstr "Liszunov Li-2"
+
+msgid "aircraft_family_t134"
+msgstr "Tupoljev Tu-134"
+
+msgid "aircraft_family_t154"
+msgstr "Tupoljev Tu-154"
+
+msgid "aircraft_family_yk40"
+msgstr "Jakovlev Jak-40"
+
+msgid "aircraft_family_b462"
+msgstr "British Aerospace 146-200"
+
 msgid "file_filter_all"
 msgstr "Összes fájl"
@@ -127,9 +160,15 @@
 msgstr "Eszközök"
 
+msgid "menu_tools_timetable"
+msgstr "_Járatfoglalás"
+
+msgid "menu_tools_timetable_key"
+msgstr "j"
+
 msgid "menu_tools_flights"
-msgstr "Elfogadott _járatok"
+msgstr "Elf_ogadott járatok"
 
 msgid "menu_tools_flights_key"
-msgstr "j"
+msgstr "o"
 
 msgid "menu_tools_chklst"
@@ -2590,4 +2629,61 @@
 msgstr "Pontszám"
 
+msgid "timetable_query_busy"
+msgstr "Menetrend letöltése..."
+
+msgid "timetable_title"
+msgstr "Járatfoglalás"
+
+msgid "timetable_no"
+msgstr "Járatszám"
+
+msgid "timetable_type"
+msgstr "Típus"
+
+msgid "timetable_from"
+msgstr "Honnan"
+
+msgid "timetable_to"
+msgstr "Hová"
+
+msgid "timetable_dep"
+msgstr "Indulás"
+
+msgid "timetable_arr"
+msgstr "Érkezés"
+
+msgid "timetable_duration"
+msgstr "Időtartam"
+
+msgid "timetable_vip"
+msgstr "VIP"
+
+msgid "timetable_busy"
+msgstr "Menetrend letöltése"
+
+msgid "timetable_failed"
+msgstr "Hiba a menetrend letöltése során."
+
+msgid "timetable_flightdate"
+msgstr "_Dátum:"
+
+msgid "timetable_flightdate_tooltip"
+msgstr "Új dátum kiválasztásához kattints a gombra."
+
+msgid "timetable_show_regular"
+msgstr "_Normál járatok"
+
+msgid "timetable_show_regular_tooltip"
+msgstr "Ha kijelölöd, a normál (nem VIP) járatok szerepelnek a listában."
+
+msgid "timetable_show_vip"
+msgstr "_VIP járatok"
+
+msgid "timetable_show_vip_tooltip"
+msgstr "Ha kijelölöd, a VIP járatok szerepelnek a listában."
+
+msgid "timetable_filter"
+msgstr "Szűrési feltételek"
+
 msgid "error_communication"
 msgstr "Kommunikációs hiba"